"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var accordion_1 = require('./components/accordion');
var alert_1 = require('./components/alert');
var buttons_1 = require('./components/buttons');
var collapse_1 = require('./components/collapse');
var pagination_1 = require('./components/pagination');
var progressbar_1 = require('./components/progressbar');
var rating_1 = require('./components/rating');
var tabs_1 = require('./components/tabs');
__export(require('./components/accordion'));
__export(require('./components/alert'));
__export(require('./components/buttons'));
__export(require('./components/collapse'));
__export(require('./components/pagination'));
__export(require('./components/progressbar'));
__export(require('./components/rating'));
__export(require('./components/tabs'));
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    directives: [
        accordion_1.ACCORDION_DIRECTIVES,
        alert_1.AlertComponent,
        buttons_1.BUTTON_DIRECTIVES,
        collapse_1.CollapseDirective,
        pagination_1.PAGINATION_DIRECTIVES,
        progressbar_1.PROGRESSBAR_DIRECTIVES,
        rating_1.RatingComponent,
        tabs_1.TAB_DIRECTIVES
    ],
    providers: []
};
